D-Bus: DBusKeyring Struct Reference

D-Bus 1.14.8

Data Fields
DBusKeyring Struct Reference
D-Bus secret internal implementation details » DBusKeyring implementation details

Internals of DBusKeyring. More...

## Data Fields
int | refcount
| Reference count.
DBusString | directory
| Directory the below two items are inside.
DBusString | filename
| Keyring filename.
DBusString | filename_lock
| Name of lockfile.
DBusKey * | keys
| Keys loaded from the file.
int | n_keys
| Number of keys.
DBusCredentials * | credentials
| Credentials containing user the keyring is for.

## Detailed Description

Internals of DBusKeyring.

DBusKeyring internals. DBusKeyring is an opaque object, it must be used via accessor functions.

Definition at line 112 of file dbus-keyring.c.

## Field Documentation

## ◆ credentials

DBusCredentials* DBusKeyring::credentials

Credentials containing user the keyring is for.

Definition at line 120 of file dbus-keyring.c.

Referenced by _dbus_keyring_is_for_credentials(), _dbus_keyring_new_for_credentials(), and _dbus_keyring_unref().

## ◆ directory

DBusString DBusKeyring::directory

Directory the below two items are inside.

Definition at line 115 of file dbus-keyring.c.

Referenced by _dbus_keyring_new_for_credentials(), and _dbus_keyring_unref().

## ◆ filename

DBusString DBusKeyring::filename

Keyring filename.

Definition at line 116 of file dbus-keyring.c.

Referenced by _dbus_keyring_new_for_credentials(), and _dbus_keyring_unref().

## ◆ filename_lock

DBusString DBusKeyring::filename_lock

Name of lockfile.

Definition at line 117 of file dbus-keyring.c.

Referenced by _dbus_keyring_new_for_credentials(), and _dbus_keyring_unref().

## ◆ keys

DBusKey* DBusKeyring::keys

Keys loaded from the file.

Definition at line 118 of file dbus-keyring.c.

Referenced by _dbus_keyring_get_hex_key(), and _dbus_keyring_unref().

## ◆ n_keys

int DBusKeyring::n_keys

Number of keys.

Definition at line 119 of file dbus-keyring.c.

Referenced by _dbus_keyring_get_hex_key(), and _dbus_keyring_unref().

## ◆ refcount

int DBusKeyring::refcount

Reference count.

Definition at line 114 of file dbus-keyring.c.

Referenced by _dbus_keyring_ref(), and _dbus_keyring_unref().

The documentation for this struct was generated from the following file:

- dbus-keyring.c